## fonts-morisawa-bizud-mincho 1.05

=== Makefile ===
DRAWBOT_SCRIPTS=$(shell ls documentation/*.py)
DRAWBOT_OUTPUT=$(shell ls documentation/*.py | sed 's/\.py/.png/g')

help:
	@echo "###"
	@echo "# Build targets for UD Mincho"
	@echo "###"
	@echo
	@echo "  make build:  Builds the fonts and places them in the fonts/ directory"
	@echo "  make test:   Tests the fonts with fontbakery"
	@echo "  make proof:  Creates HTML proof documents in the proof/ directory"
	@echo "  make images: Creates PNG specimen images in the documentation/ directory"
	@echo

build: build.stamp

venv: venv/touchfile

build.stamp: venv .init.stamp sources/build.py
	. venv/bin/activate; rm -rf fonts/; python3 sources/build.py && touch build.stamp

.init.stamp: venv
	. venv/bin/activate; python3 scripts/first-run.py

venv/touchfile: requirements.txt
	test -d venv || python3 -m venv venv
	. venv/bin/activate; pip install -Ur requirements.txt
	touch venv/touchfile

test: venv build.stamp
	. venv/bin/activate; mkdir -p out/ out/fontbakery; fontbakery check-googlefonts -l WARN --succinct --badges out/badges --html out/fontbakery/fontbakery-report.html --ghmarkdown out/fontbakery/fontbakery-report.md $(shell find fonts/ttf -type f)

proof: venv build.stamp
	. venv/bin/activate; mkdir -p out/ out/proof; gftools gen-html proof $(shell find fonts/ttf -type f) -o out/proof

images: venv build.stamp $(DRAWBOT_OUTPUT)
	git add documentation/*.png && git commit -m "Rebuild images" documentation/*.png

%.png: %.py build.stamp
	python3 $< --output $@

clean:
	rm -rf venv
	find . -name "*.pyc" | xargs rm delete

update-ufr:
	npx update-template https://github.com/googlefonts/Unified-Font-Repository/

update:
	pip install --upgrade $(dependency); pip freeze > requirements.txt

=== requirements.txt ===
absl-py==1.0.0
appdirs==1.4.4
attrs==21.4.0
babelfont==2.0.2
beautifulsoup4==4.10.0
beziers==0.4.0
booleanOperations==0.9.0
Brotli==1.0.9
browserstack-local==1.2.2
bump2version==1.0.1
bumpfontversion==0.3.0
cattrs==1.10.0
certifi==2021.10.8
cffi==1.15.0
cffsubr==0.2.9.post1
charset-normalizer==2.0.12
click==8.0.4
cmarkgfm==0.8.0
collidoscope==0.4.1
colorlog==6.6.0
commandlines==0.4.1
commonmark==0.9.1
compreffor==0.5.1.post1
cu2qu==1.6.7.post1
defcon==0.10.0
dehinter==4.0.0
Deprecated==1.2.13
drawbot-skia==0.4.8
font-v==2.1.0
fontbakery==0.8.7
fontdiffenator==0.9.12
fontmake==2.4.1
fontMath==0.9.1
fontParts==0.10.3
fontPens==0.2.4
fonttools==4.30.0
freetype-py==2.2.0
fs==2.4.15
gfdiffbrowsers==0.1.7
gftools==0.9.0
gitdb==4.0.9
GitPython==3.1.27
glyphsets==0.2.1
glyphsLib==6.0.0b4
glyphtools==0.8.0
hyperglot==0.3.8
idna==3.3
Jinja2==3.0.3
lxml==4.8.0
MarkupSafe==2.1.0
numpy==1.22.3
openstep-plist==0.3.0
opentype-sanitizer==8.2.1
opentypespec==1.8.4
Pillow==9.0.1
pip-api==0.0.28
protobuf==3.19.4
psutil==5.9.0
pybind11==2.9.1
pybrowserstack-screenshots==0.1
pycairo==1.21.0
pyclipper==1.3.0.post2
pycparser==2.21
pygit2==1.9.0
PyGithub==1.55
Pygments==2.11.2
PyJWT==2.3.0
PyNaCl==1.5.0
pyparsing==3.0.7
python-bidi==0.4.2
python-dateutil==2.8.2
pytz==2021.3
PyYAML==6.0
requests==2.27.1
rich==12.0.0
rstr==3.1.0
sh==1.14.2
simplejson==3.17.6
six==1.16.0
skia-pathops==0.7.2
skia-python==87.4
smmap==5.0.0
soupsieve==2.3.1
sre-yield==1.2
statmake==0.4.1
strictyaml==1.6.1
stringbrewer==0.0.1
tabulate==0.8.9
toml==0.10.2
ttfautohint-py==0.5.1
ufo2ft==2.25.3
ufoLib2==0.13.1
ufolint==1.2.0
uharfbuzz==0.21.0
unicodedata2==14.0.0
Unidecode==1.3.4
urllib3==1.26.8
vharfbuzz==0.1.1
vttLib==0.11.0
wrapt==1.14.0

=== debian/changelog ===
fonts-morisawa-bizud-mincho (1.05-2) unstable; urgency=medium

  * d/control: Fix VCS address

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Fri, 18 Nov 2022 02:09:58 +0900

fonts-morisawa-bizud-mincho (1.05-1) unstable; urgency=medium

  * Initial release (Closes: #1009228)

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Sat, 09 Apr 2022 18:13:59 +0900

=== debian/control ===
Source: fonts-morisawa-bizud-mincho
Section: fonts
Priority: optional
Maintainer: Debian Fonts Team <debian-fonts@lists.debian.org>
Uploaders: Youhei SASAKI <uwabami@gfd-dennou.org>
Build-Depends: debhelper-compat (= 13),
        python3:any,
        python3-fonttools,
        python3-fontmake,
        fonttools
Standards-Version: 4.6.0
Homepage: https://github.com/googlefonts/morisawa-biz-ud-mincho
Vcs-Browser: https://salsa.debian.org/fonts-team/fonts-morisawa-bizud-mincho
Vcs-Git: https://salsa.debian.org/fonts-team/fonts-morisawa-bizud-mincho.git
Rules-Requires-Root: no

Package: fonts-morisawa-bizud-mincho
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: Universal Design typeface Mincho fonts
 BIZ UD Mincho is a universal design typeface designed to be easy to
 read and ideal for education and business documentation. It is a highly
 legible and well-balanced design sans serif. In order to make the kanji
 more clear and identifiable, the letterforms are simplified by omitting
 hane (hook) and geta (the vertical lines extending beyond horizontal
 strokes at the bottom of kanji). Counters and other spaces are finely
 adjusted so that the overall balance of the type is not impaired even
 with the use in relatively large size. The kana are made slightly
 smaller than the kanji to give a good rhythm and flow when setting long
 texts in the lighter weights.

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/moriswa-biz-ud-mincho-$1\.tar\.gz/ \
  https://github.com/googlefonts/morisawa-biz-ud-mincho/tags .*/v?(\d\S+)\.tar\.gz

## fonts-morisawa-bizud-mincho 1.06

=== requirements.txt ===
absl-py==1.3.0
appdirs==1.4.4
attrs==22.1.0
axisregistry==0.3.10
babelfont==3.0.0
beautifulsoup4==4.11.1
beziers==0.5.0
booleanOperations==0.9.0
Brotli==1.0.9
browserstack-local==1.2.2
bump2version==1.0.1
bumpfontversion==0.4.1
cattrs==22.2.0
certifi==2022.9.24
cffi==1.15.1
cffsubr==0.2.9.post1
charset-normalizer==2.1.1
click==8.1.3
cmarkgfm==2022.10.27
collidoscope==0.5.2
colorlog==6.7.0
commandlines==0.4.1
commonmark==0.9.1
compreffor==0.5.3
cu2qu==1.6.7.post2
defcon==0.10.2
dehinter==4.0.0
Deprecated==1.2.13
exceptiongroup==1.0.4
font-v==2.1.0
fontbakery==0.8.10
fontFeatures==1.7.3
fontmake==3.5.0
fontMath==0.9.2
fontools==0.5.0
fonttools==4.38.0
fs==2.4.16
gflanguages==0.4.3
gftools==0.9.21
gitdb==4.0.10
GitPython==3.1.29
glyphsets==0.5.4
glyphsLib==6.1.0
glyphtools==0.8.0
hyperglot==0.4.2
idna==3.4
Jinja2==3.1.2
kurbopy==0.8.32
lxml==4.9.1
MarkupSafe==2.1.1
nanoemoji==0.15.1
ninja==1.11.1
numpy==1.23.5
openstep-plist==0.3.0.post1
opentype-sanitizer==9.0.0
opentypespec==1.9.1
orjson==3.8.3
packaging==21.3
picosvg==0.20.6
Pillow==9.3.0
pip-api==0.0.30
pngquant-cli==2.17.0.post5
protobuf==3.20.3
psutil==5.9.4
pybrowserstack-screenshots==0.1
pyclipper==1.3.0.post4
pycparser==2.21
pyfaidx==0.7.1
pyfnutils==1.3
pygit2==1.11.1
PyGithub==1.57
Pygments==2.13.0
PyJWT==2.6.0
PyNaCl==1.5.0
pyparsing==3.0.9
python-dateutil==2.8.2
PyYAML==6.0
regex==2022.10.31
requests==2.28.1
resvg-cli==0.22.0.post3
rich==12.6.0
rstr==3.2.0
sh==1.14.3
simplejson==3.18.0
six==1.16.0
skia-pathops==0.7.4
smmap==5.0.0
soupsieve==2.3.2.post1
sre-yield==1.2
statmake==0.6.0
strictyaml==1.6.2
stringbrewer==0.0.1
tabulate==0.9.0
toml==0.10.2
ttfautohint-py==0.5.1
ufo2ft==2.30.0
ufoLib2==0.14.0
ufolint==1.2.0
uharfbuzz==0.32.0
unicodedata2==15.0.0
Unidecode==1.3.6
urllib3==1.26.13
vharfbuzz==0.1.4
vttLib==0.11.0
wrapt==1.14.1
zopfli==0.2.2
zstandard==0.19.0

=== debian/changelog ===
fonts-morisawa-bizud-mincho (1.06-2) unstable; urgency=medium

  * Add patch: Do not fail when cleaned file do not exist

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Tue, 12 Nov 2024 02:18:51 +0900

fonts-morisawa-bizud-mincho (1.06-1) unstable; urgency=medium

  * New upstream version 1.06
  * d/control: Bump Standards-version: 4.6.1.0
  * Bump Standards-Version to 4.6.2 (no changes needed)

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Mon, 19 Dec 2022 12:24:01 +0900

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
         python3-fonttools,
         python3-fontmake,
         fonttools
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/googlefonts/morisawa-biz-ud-mincho
 Vcs-Browser: https://salsa.debian.org/fonts-team/fonts-morisawa-bizud-mincho
 Vcs-Git: https://salsa.debian.org/fonts-team/fonts-morisawa-bizud-mincho.git
